%global dlrn_nvr python-glanceclient-3.3.0-1.20221115174113.f802c71
%global dlrn 1
%define upstream_version 3.3.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname glanceclient
%global with_doc 0

%global common_desc \
This is a client for the OpenStack Glance API. There's a Python API (the \
glanceclient module), and a command-line script (glance). Each implements \
100% of the OpenStack Glance API.

Name:             python-glanceclient
Epoch:            1
Version: 3.3.0
Release: 1.20221115174113.f802c71%{?dist}
Summary:          Python API and CLI for OpenStack Glance

License:          ASL 2.0
URL:              https://launchpad.net/python-glanceclient
Source0: python-glanceclient-3.3.0-1.20221115174113.f802c71.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=f802c710835e2e9ac42964c7282bbb4e539b38c5
Patch0001: 0001-Uncap-PrettyTable.patch
Patch0002: 0002-Update-TOX_CONSTRAINTS_FILE-for-stable-wallaby.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:        noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:    git-core
BuildRequires:    openstack-macros

%description
%{common_desc}

%package -n python3-%{sname}
Summary:          Python API and CLI for OpenStack Glance
%{?python_provide:%python_provide python3-glanceclient}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-pbr

Requires:         python3-keystoneauth1 >= 3.6.2
Requires:         python3-oslo-i18n >= 3.15.3
Requires:         python3-oslo-utils >= 3.33.0
Requires:         python3-pbr
Requires:         python3-prettytable
Requires:         python3-pyOpenSSL >= 17.1.0
Requires:         python3-requests
Requires:         python3-warlock
Requires:         python3-wrapt


%description -n python3-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Glance API Client

BuildRequires:    python3-sphinx
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-keystoneauth1
BuildRequires:    python3-oslo-utils
BuildRequires:    python3-prettytable
BuildRequires:    python3-pyOpenSSL >= 17.1.0
BuildRequires:    python3-sphinxcontrib-apidoc
BuildRequires:    python3-warlock

%description      doc
%{common_desc}

This package contains auto-generated documentation.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

%py_req_cleanup

%build
%{py3_build}

%install
%{py3_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s glance %{buildroot}%{_bindir}/glance-3

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/glance.bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/glance

# Delete tests
rm -fr %{buildroot}%{python3_sitelib}/glanceclient/tests

%if 0%{?with_doc}
# generate html docs
sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
# generate man page
sphinx-build -b man doc/source doc/build/man
install -p -D -m 644 doc/build/man/glance.1 %{buildroot}%{_mandir}/man1/glance.1
%endif

%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/glanceclient
%{python3_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d
%if 0%{?with_doc}
%{_mandir}/man1/glance.1.gz
%endif
%{_bindir}/glance
%{_bindir}/glance-3

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Tue Nov 15 2022 OSP Prod Chain <dev-null@redhat.com> 1:3.3.0-1.20221115174113.f802c71
- Update TOX_CONSTRAINTS_FILE for stable/wallaby (rhbz#2133810)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1:3.3.0-1.20220727104310.f802c71
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1:3.3.0-0.20220712110351.f802c71
- Update patches

* Tue Mar 15 2022 OSP Prod Chain <dev-null@redhat.com> 1:3.3.0-0.20220315161905.f802c71
- Uncap PrettyTable (rhbz#2056839)

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:3.3.0-0.20210527221620.f802c71
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 1:3.3.0-1
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Get tasks associated with image
- bump mccabe in lc to unblock the gate
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [goal] Migrate testing to ubuntu focal
- Update test certificates to use strong signing
- Remove F403, F812 and F821 from the ignorelist in tox.ini
- drop mock from lower-constraints
- Fix hacking min version to 3.0.1

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fixes "stores" property added to the image
- Pass Global Request ID on with session client
- Do not use the six library.
- Do not use the six library in the tests.
- Stop to use the __future__ module.

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add release note for glanceclient 3.1.1
- Pass --all-stores, --allow-failure as bool to API
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/ussuri
- Update .gitreview for stable/ussuri

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Rename releasenotes to reflect correct version
- Add release note for glanceclient 3.0.0
- Cleanup py27 support
- Update hacking for Python3
- Delete image from specific store
- Remove .zuul.yaml from the list of irrelevant files
- setup.cfg: Use better Python 3 hinting
- Remove v1 tests
- Move py35 jobs to latest python3
- Replace git.openstack.org URLs with opendev.org URLs
- update doc url to new

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add support for copy-image import method
- Add support for multi-store import
- Drop support for tempest-full
- Drop python 2.7 support and testing
- Stop configuring install_command in tox.
- Update master for stable/train
- Cleanup session object

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches


